using CoreLibrary.Core;
using CoreLibrary.Events;
using Xunit;

namespace UnitTesting
{
    public class AjouterCodeEventArgsUT
    {
        [Fact]
        public void TestConstructeurValide()
        {
            Code monCode = new Code([new Jeton(Couleur.ROUGE), new Jeton(Couleur.BLEU)]);

            AjouterCodeEventArgs evenement = new AjouterCodeEventArgs(monCode);

            Assert.Equal(monCode, evenement.Code);
        }

    }
}
